LIB		= libnorganizer.a
SOURCES	= norganizer.cpp

CFLAGS	= -Wall
OBJECTS	= $(SOURCES:.cpp=.o)

all: $(OBJECTS) $(LIB)

.cpp.o:
	$(CXX) -c $(CFLAGS) $(CPPFLAGS) $<

$(LIB): $(OBJECTS)
	$(AR) r $@ $?
	rm -f $(OBJECTS)
	cp $(LIB) ../libs/

purge: clean
	-rm -f $(LIB)

clean:
	-rm -f $(OBJECTS)



